Delete an Extension - Cognigy Documentation

DELETE /v2.0/extensions/{extensionId}

Try it

Delete an Extension

cURL

curl --request DELETE \
--url https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId} \
--header 'X-API-Key: '

Python

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'DELETE', headers: {'X-API-Key': ''}};

fetch('https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

"https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "DELETE", CURLOPT_HTTPHEADER => [ "X-API-Key: " ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

Go

package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}

Error Responses

Authorizations

Headers

Path Parameters

Response